org.apache.xmlbeans.impl.xb.xsdschema

## Interface NotationDocument.Notation

All Superinterfaces:
  Annotated, OpenAttrs, XmlObject, XmlTokenSource

All Known Implementing Classes:
  NotationDocumentImpl.NotationImpl

Enclosing interface:
  NotationDocument

    public static interface NotationDocument.Notation
    extends Annotated

An XML notation(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static ElementFactory<NotationDocument.Notation>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Gets the "name" attribute
`String` `getPublic()` Gets the "public" attribute
`String` `getSystem()` Gets the "system" attribute
`boolean` `isSetPublic()` True if has "public" attribute
`boolean` `isSetSystem()` True if has "system" attribute
`void` `setName(String name)` Sets the "name" attribute
`void` `setPublic(String xpublic)` Sets the "public" attribute
`void` `setSystem(String system)` Sets the "system" attribute
`void` `unsetPublic()` Unsets the "public" attribute
`void` `unsetSystem()` Unsets the "system" attribute
`XmlNCName` `xgetName()` Gets (as xml) the "name" attribute
`Public` `xgetPublic()` Gets (as xml) the "public" attribute
`XmlAnyURI` `xgetSystem()` Gets (as xml) the "system" attribute
`void` `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute
`void` `xsetPublic(Public xpublic)` Sets (as xml) the "public" attribute
`void` `xsetSystem(XmlAnyURI system)` Sets (as xml) the "system" attribute

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<NotationDocument.Notation> Factory

#### type

    static final SchemaType type

### Method Detail

#### getName

    String getName()

Gets the "name" attribute

#### xgetName

    XmlNCName xgetName()

Gets (as xml) the "name" attribute

#### setName

    void setName(String name)

Sets the "name" attribute

#### xsetName

    void xsetName(XmlNCName name)

Sets (as xml) the "name" attribute

#### getPublic

    String getPublic()

Gets the "public" attribute

#### xgetPublic

    Public xgetPublic()

Gets (as xml) the "public" attribute

#### isSetPublic

    boolean isSetPublic()

True if has "public" attribute

#### setPublic

    void setPublic(String xpublic)

Sets the "public" attribute

#### xsetPublic

    void xsetPublic(Public xpublic)

Sets (as xml) the "public" attribute

#### unsetPublic

    void unsetPublic()

Unsets the "public" attribute

#### getSystem

    String getSystem()

Gets the "system" attribute

#### xgetSystem

    XmlAnyURI xgetSystem()

Gets (as xml) the "system" attribute

#### isSetSystem

    boolean isSetSystem()

True if has "system" attribute

#### setSystem

    void setSystem(String system)

Sets the "system" attribute

#### xsetSystem

    void xsetSystem(XmlAnyURI system)

Sets (as xml) the "system" attribute

#### unsetSystem

    void unsetSystem()

Unsets the "system" attribute